org.h2.command.ddl

## Class AlterTableAddConstraint

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.SchemaCommand
      - - org.h2.command.ddl.AlterTableAddConstraint

    public class AlterTableAddConstraint
    extends SchemaCommand

This class represents the statement ALTER TABLE ADD CONSTRAINT

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`AlterTableAddConstraint(Session session, Schema schema, boolean ifNotExists)`

### Method Summary

Methods
`java.lang.String` `getConstraintName()`
`IndexColumn[]` `getIndexColumns()`
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setCheckExisting(boolean b)`
`void` `setCheckExpression(Expression expression)`
`void` `setComment(java.lang.String comment)`
`void` `setConstraintName(java.lang.String constraintName)`
`void` `setDeleteAction(ConstraintActionType action)`
`void` `setIfTableExists(boolean b)`
`void` `setIndex(Index index)`
`void` `setIndexColumns(IndexColumn[] indexColumns)`
`void` `setPrimaryKeyHash(boolean b)`
`void` `setRefIndex(Index refIndex)`
`void` `setRefIndexColumns(IndexColumn[] indexColumns)`
`void` `setRefTableName(Schema refSchema, java.lang.String ref)` Set the referenced table.
`void` `setTableName(java.lang.String tableName)`
`void` `setType(int type)`
`void` `setUpdateAction(ConstraintActionType action)`
`int` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSQL, getSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlterTableAddConstraint

    public AlterTableAddConstraint(Session session,
                           Schema schema,
                           boolean ifNotExists)

### Method Detail

#### setIfTableExists

    public void setIfTableExists(boolean b)

#### update

    public int update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### setDeleteAction

    public void setDeleteAction(ConstraintActionType action)

#### setUpdateAction

    public void setUpdateAction(ConstraintActionType action)

#### setConstraintName

    public void setConstraintName(java.lang.String constraintName)

#### getConstraintName

    public java.lang.String getConstraintName()

#### setType

    public void setType(int type)

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

#### setCheckExpression

    public void setCheckExpression(Expression expression)

#### setTableName

    public void setTableName(java.lang.String tableName)

#### setIndexColumns

    public void setIndexColumns(IndexColumn[] indexColumns)

#### getIndexColumns

    public IndexColumn[] getIndexColumns()

#### setRefTableName

    public void setRefTableName(Schema refSchema,
                       java.lang.String ref)

Set the referenced table.

Parameters:
  `refSchema` - the schema
  `ref` - the table name

#### setRefIndexColumns

    public void setRefIndexColumns(IndexColumn[] indexColumns)

#### setIndex

    public void setIndex(Index index)

#### setRefIndex

    public void setRefIndex(Index refIndex)

#### setComment

    public void setComment(java.lang.String comment)

#### setCheckExisting

    public void setCheckExisting(boolean b)

#### setPrimaryKeyHash

    public void setPrimaryKeyHash(boolean b)